/*
|
| Side Bar
|
*/

.sidebar-canvas-overlay {
  opacity: 0;
  z-index: -1;
  background-color: #343a40;
}

.sidebar-canvas-overlay.show {
  opacity: 0.85;
  z-index: 1100;
}

.sidebar-canvas {
  top: 0;
  width: 0;
  z-index: 1110;
  overflow-x: hidden;
  overflow-y: auto;
  background-color: #ffffff;
}

.sidebar-offset-main {
  margin-top: 60px;
  padding-top: 30px;
}

.sidebar-canvas-left {
  left: 0;
  padding-bottom:20px;
}

.sidebar a,
.sidebar a:hover {
  color: #000000;
  text-decoration: none;
}

.sidebar-canvas .fa-times {
  font-size: 2.0rem;
}

.sidebar-canvas-content a.sidebar-menu-item {
  padding:12px 4px;
  width:100%;
}

.sidebar-canvas-content a.sidebar-menu-item:hover {
  background-color: #eeeeee;
}

.sidebar-canvas-content a.sidebar-menu-item:focus {
  outline: none;
  box-shadow: none;
}

.sidebar-canvas-content a.sidebar-menu-item i.far,
.sidebar-canvas-content a.sidebar-menu-item i.fas,
.sidebar-canvas-content a.sidebar-menu-item i.fal,
.sidebar-canvas-content a.sidebar-menu-item i.fa-solid {  
  width: 2.2rem;
}

hr.sidebar-divider {
  margin:5px 0px;
  border-top-color: #aaaaaa;
}

@media (min-width: 768px) {
  .sidebar-canvas-content a.sidebar-menu-item {
    padding:3px 3px;
  }
}

.open-sidebar-button,
.close-sidebar-button {
  border: 0px;
  background-color: transparent;
}

.open-sidebar-button:focus,
.close-sidebar-button:focus {
  outline: none;
  box-shadow: none;
}

